﻿using System;

namespace Falcon.SugarApi.TimedTask.TaskManager
{
    /// <summary>
    /// 任务运行状态明细
    /// </summary>
    public class TaskDetailStatus
    {
        /// <summary>
        /// 任务预计下次运行时间
        /// </summary>
        public DateTime? TaskNextRunTime { get; set; }
        /// <summary>
        /// 总运行次数
        /// </summary>
        public int TotalRuns => SuccessTotal + FailTotal;
        /// <summary>
        /// 成功完成次数
        /// </summary>
        public int SuccessTotal { get; set; } = 0;
        /// <summary>
        /// 失败次数
        /// </summary>
        public int FailTotal { get; set; } = 0;
    }
}
